import req from '@/request.js'
const portal = window.context.portal
export default {
	/**
	 * 
	 */
	// 添加
	addJob(data, cb) {
		req.post(portal + `/api/job/v1/job/addJob`, data).then(res => {
			cb(res.data)
		})
	},
	//查询
	getJobPage(data, cb) {
	    req.post(portal + `/api/job/v1/jobs/getJobPage`, data).then(res => {
	        cb(res.data)
	    })
	},
	//拼音 
	getPinyin(data, cb) {
		console.log(data);
	    req.get(portal + `/base/tools/v1/getPinyin?chinese=` + data+'&type=0').then(rep => {
	        cb(rep.data)
	    })
	},
	//修改
	updateJob(data, cb) {
	    req.put(portal + `/api/job/v1/job/updateJob`, data).then(res => {
	        cb(res.data)
	    })
	},
	// 获取组织列表
	getOrgsList(data, cb) {
	    req.post(portal + `/api/org/v1/orgs/getByParentAndDemToTree`, data).then(res => {
	        cb(res.data)
	    })
	},
	//获取岗位
	getOrgPostPage(data, cb) {
	    req.post(portal + `/api/org/v1/orgPosts/getPositionPage`, data).then(res => {
	        cb(res.data)
	    })
	},
}
